---
type: api
title: Patch a list
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-patchlist
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-patchlist
products:
  - Kibana
---

# Patch a list

- Server: `https://{kibana_url}`

## Paths

- `PATCH` `/api/lists`
- `PATCH` `/s/{space_id}/api/lists`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Update specific fields of an existing list using the list ID.

## Request Body

`application/json`

List's properties

- `_version` (string) — optional
- `description` (string · min: 1) — optional
  A string that does not contain only whitespace characters
- `id` (string · min: 1) — required
  A string that does not contain only whitespace characters
- `meta` (object) — optional
- `name` (string · min: 1) — optional
  A string that does not contain only whitespace characters
- `version` (integer · min: 1) — optional

## Responses

#### `200`

Successful response

`application/json`

- `_version` (string)
- `@timestamp` (string)
- `created_at` (string)
- `created_by` (string)
- `description` (string · min: 1)
  A string that does not contain only whitespace characters
- `id` (string · min: 1)
  A string that does not contain only whitespace characters
- `immutable` (boolean)
- `meta` (object)
- `name` (string · min: 1)
  A string that does not contain only whitespace characters
- `tie_breaker_id` (string)
- `type` (enum)
  Values: `binary`, `boolean`, `byte`, `date`, `date_nanos`, `date_range`, `double`, `double_range`, `float`, `float_range`, `geo_point`, `geo_shape`, `half_float`, `integer`, `integer_range`, `ip`, `ip_range`, `keyword`, `long`, `long_range`, `shape`, `short`, `text`
- `updated_at` (string)
- `updated_by` (string)
- `version` (integer · min: 1)
#### `400`

Invalid input data response

`application/json`

One of:
- **PlatformErrorResponse**
  - `error` (string)
  - `message` (string)
  - `statusCode` (integer)
- **SiemErrorResponse**
  - `message` (string)
  - `status_code` (integer)
#### `401`

Unsuccessful authentication response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `403`

Not enough privileges response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `404`

List not found response

`application/json`

- `message` (string)
- `status_code` (integer)
#### `500`

Internal server error response

`application/json`

- `message` (string)
- `status_code` (integer)
## Code Examples

#### Console

```console
PATCH /api/lists
```

#### curl

```curl
curl -X PATCH "https://{kibana_url}/api/lists"
```

